Subject: bug#44303: 28.0.50; json-pretty-print-buffer creates spurious lock file

From: Simen Heggestøyl <[email-masked]>
Date: Mon, 09 Nov 2020 09:24:03 +0100

Eli Zaretskii <[email-masked]> writes:

> Should be fixed now on master.

Hm, did you push it? I'm still experiencing the bug on master (as of
795b7da16b).

> I wonder whether we should actually cherry-pick this to the release
> branch.  The original recipe doesn't trigger the problem there, but
> that's because json-pretty-print-buffer does modify the buffer on
> emacs-27.  If it didn't, we'd probably have the same problem in Emacs
> 27.

Right. You can see the bug in Emacs 27 too by using a test file like
this instead:

{
}